The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Virtual Probe Status

Prev Next

This URL retrieves the virtual probe status.

Resource URL

GET cloud/checkprobestatus/<ip_address>

Request Parameters

URL Parameters

Field Name

Description

Data Type

Mandatory

Ip_address

Virtual probe IP

String

Yes

Payload Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned:

Field Name

Description

Data Type

workloadVMIP

Workload IP

String

privateIP

Private IP of virtual machine

String

publicIP

Public IP of virtual machine

String

hostname

Virtual machine host name

String

worloadOS

OS on virtual machine

String

probeInstalled

Probe agent is installed on the virtual machine or not

Boolean

probeRunning

Probe agent is running on the virtual machine or not

Boolean

probeVersion

Probe agent version

String

probeRunningSince

Time since the probe agent has been running

String

Example

Request

GET https://<NSM_IP>/sdkapi/cloud/checkprobestatus/<ip_address>

Payload

None

Response

{
        "workloadVMIP": "10.15.2.113",
        "privateIP": "10.15.2.113",
        "publicIP": "10.15.2.113",
        "hostName": "ip-10-15-2-113",
        "workloadOS": "Amazon Linux AMI release 2016.09",
        "probeInstalled": true,
        "probeRunning": true,
        "probeVersion": "3.5.3-8(64-bit)",
        "probeRunningSince": "Fri Mar 24 05:24:30 UTC 2017
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error

2

400

1406

Invalid IP format